---
title: HTMLTableElement.width
slug: Web/API/HTMLTableElement/width
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - NeedsBrowserCompatibility
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.width</strong></code> property represents the desired width of the table.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.width = <em>width</em>;
var <em>width</em> = <em>HTMLTableElement</em>.width;</pre>

<p>Where <code>width</code> is a string representing the width in number of pixels or as a percentage value.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js;gutter:false">mytable.width = "75%";</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.width")}}</p>
</div>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li>W3C DOM 2 HTML Specification <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-77447361"><em>HTMLTableElement</em> .width</a></li>
</ul>
